---
title: Batch delete origin cloud region mappings
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Cache](https://developers.cloudflare.com/api/python/resources/cache)

[Origin Cloud Regions](https://developers.cloudflare.com/api/python/resources/cache/subresources/origin_cloud_regions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Batch delete origin cloud region mappings

cache.origin\_cloud\_regions.bulk\_delete(OriginCloudRegionBulkDeleteParams\*\*kwargs) -> [OriginCloudRegionBulkDeleteResponse](<https://developers.cloudflare.com/api/python/resources/cache#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)>)

DELETE/zones/{zone\_id}/origin/cloud\_regions/batch

Removes up to 100 IP-to-cloud-region mappings in a single request. Each IP is validated independently — successfully deleted items are returned in the `succeeded` array and IPs that could not be found or are invalid are returned in the `failed` array.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20cache.origin_cloud_regions%20%3E%20(method)%20bulk_delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class OriginCloudRegionBulkDeleteResponse: …

Response result for a batch origin cloud region operation.

</summary>

<details>

<summary>

failed: List\[Failed]

Items that could not be applied, with error details.

</summary>

origin\_ip: str

The origin IP address for this item.

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20failed%20%3E%20(items)%20%3E%20(property)%20origin_ip">Link to this property</a>

error: Optional\[str]

Error message explaining why the item failed. Present only on failed items.

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20failed%20%3E%20(items)%20%3E%20(property)%20error">Link to this property</a>

region: Optional\[str]

Cloud vendor region identifier. Present on succeeded items (the new value for upsert, the deleted value for delete).

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20failed%20%3E%20(items)%20%3E%20(property)%20region">Link to this property</a>

vendor: Optional\[str]

Cloud vendor identifier. Present on succeeded items (the new value for upsert, the deleted value for delete).

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20failed%20%3E%20(items)%20%3E%20(property)%20vendor">Link to this property</a>

</details>

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20failed">Link to this property</a>

<details>

<summary>

succeeded: List\[Succeeded]

Items that were successfully applied.

</summary>

origin\_ip: str

The origin IP address for this item.

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20succeeded%20%3E%20(items)%20%3E%20(property)%20origin_ip">Link to this property</a>

error: Optional\[str]

Error message explaining why the item failed. Present only on failed items.

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20succeeded%20%3E%20(items)%20%3E%20(property)%20error">Link to this property</a>

region: Optional\[str]

Cloud vendor region identifier. Present on succeeded items (the new value for upsert, the deleted value for delete).

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20succeeded%20%3E%20(items)%20%3E%20(property)%20region">Link to this property</a>

vendor: Optional\[str]

Cloud vendor identifier. Present on succeeded items (the new value for upsert, the deleted value for delete).

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20succeeded%20%3E%20(items)%20%3E%20(property)%20vendor">Link to this property</a>

</details>

<a href="#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20succeeded">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cache.origin_cloud_regions%20%3E%20(model)%20origin_cloud_region_bulk_delete_response%20%3E%20(schema)>)

### Batch delete origin cloud region mappings

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.cache.origin_cloud_regions.bulk_delete(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.failed)
```

200 example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "failed": [],
    "succeeded": [
      {
        "origin_ip": "192.0.2.1",
        "region": "us-east-1",
        "vendor": "aws"
      },
      {
        "origin_ip": "2001:db8::1",
        "region": "us-central1",
        "vendor": "gcp"
      }
    ]
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [],
  "result": {
    "failed": [],
    "succeeded": [
      {
        "origin_ip": "192.0.2.1",
        "region": "us-east-1",
        "vendor": "aws"
      },
      {
        "origin_ip": "2001:db8::1",
        "region": "us-central1",
        "vendor": "gcp"
      }
    ]
  },
  "success": true
}
```